﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    Using Bound Column:
    <asp:GridView ID="gvUsersBF" runat="server" AutoGenerateColumns="False" BackColor="White" BorderColor="#010101" BorderStyle="Groove" BorderWidth="1px" CellPadding="4">
                    <Columns>
                        <asp:BoundField DataField="Email" HeaderText="Email" ReadOnly="True" />
                        <asp:BoundField DataField="FirstName" HeaderText="First Name" ReadOnly="True" />
                        <asp:BoundField DataField="LastName" HeaderText="Last Name" ReadOnly="True" />
                        <asp:BoundField DataField="DOB" HtmlEncode="False" DataFormatString = "{0:d}" HeaderText="Date Of Birth[Short Date]" ReadOnly="True" />            
                        <asp:BoundField DataField="DOB" HtmlEncode="False" DataFormatString = "{0:D}" HeaderText="Date Of Birth[Long Date]" ReadOnly="True" />            
                        <asp:BoundField DataField="DOB" HtmlEncode="False" DataFormatString = "{0:T}" HeaderText="Date Of Birth[Long Time]" ReadOnly="True" />            
                    </Columns>
                    <FooterStyle BackColor="White" ForeColor="#330099" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                    <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                    <HeaderStyle BackColor="#F06300" Font-Bold="True" ForeColor="#FFFFCC" />
        </asp:GridView> 
        Using Template Column:
        <asp:GridView ID="gvUsersTC" runat="server" AutoGenerateColumns="False" BackColor="White" BorderColor="#010101" BorderStyle="Groove" BorderWidth="1px" CellPadding="4">
                    <Columns>
                        <asp:BoundField DataField="Email" HeaderText="Email" ReadOnly="True" />
                        <asp:BoundField DataField="FirstName" HeaderText="First Name" ReadOnly="True" />
                        <asp:BoundField DataField="LastName" HeaderText="Last Name" ReadOnly="True" />
                        <asp:TemplateField HeaderText="Date Of Birth[Short Date]">
                        <ItemTemplate>
                        <asp:Label ID="lblDOB" runat="server" Text='<%# Eval("DOB","{0:d}") %>'></asp:Label>
                        </ItemTemplate>
                        </asp:TemplateField>    
                        <asp:TemplateField HeaderText="Date Of Birth[Long Date]">
                        <ItemTemplate>
                        <asp:Label ID="lblDOB" runat="server" Text='<%# Bind("DOB","{0:D}") %>'></asp:Label>
                        </ItemTemplate>
                         </asp:TemplateField>
                       <asp:TemplateField HeaderText="Date Of Birth[Long Time]">
                        <ItemTemplate>
                        <asp:Label ID="lblDOB" runat="server" Text='<%# Bind("DOB","{0:T}") %>'></asp:Label>
                        </ItemTemplate>
                        </asp:TemplateField>                     
                    </Columns>
                    <FooterStyle BackColor="White" ForeColor="#330099" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                    <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                    <HeaderStyle BackColor="#F06300" Font-Bold="True" ForeColor="#FFFFCC" />
        </asp:GridView>
        
    </div>
    </form>
</body>
</html>
